# - any static content must be placed under a public/ directory
# - artifacts with a path to the public/ directory must be defined

# pages:
#   stage: deploy
#   script:
#   - mkdir .public
#   - cp -r * .public
#   - mv .public public
#   artifacts:
#     paths:
#     - public
#   only:
#   - master


image: node:9

pages:
    cache:
        paths:
            - node_modules/

    script:
        - pwd
        - ls -lah
        - npm install
        # - npm run build
        # - npm run demo.build
        - npm run nay.build
        - npx cpx 'dist/**/' 'public/' -u -v
        - ./mkindex.sh public

    artifacts:
        paths:
            - public

    only:
        - master
